What is this mistake?


  • | 215 points

    0_1593525100844_Capture.JPG


  • | 148 points

    @afifahassyahrah this looks like a problem with symfony/polyfill-php80, possibly caused by corrupted downloads. You should try removing the package directory and clearing your composer cache, then reinstall the library.

    rmdir /s .\vendor\symfony\polyfill-php80
    composer clearcache
    composer install
    

  • | 215 points

    This post is deleted!

  • | 215 points

    @dimasahmad after running the composer install :
    Problem 1
    - This package requires php ^7.2.5 but your PHP version (5.6.30) does not satisfy that requirement.
    Problem 2
    - Installation request for symfony/polyfill-php80 v1.17.1 -> satisfiable by symfony/polyfill-php80[v1.17.1].
    - symfony/polyfill-php80 v1.17.1 requires php >=7.0.8 -> your PHP version (5.6.30) does not satisfy that requirement.
    Problem 3
    - symfony/http-foundation v5.1.2 requires php >=7.2.5 -> your PHP version (5.6.30) does not satisfy that requirement.
    - symfony/http-foundation v5.1.2 requires php >=7.2.5 -> your PHP version (5.6.30) does not satisfy that requirement.
    - Installation request for symfony/http-foundation v5.1.2 -> satisfiable by symfony/http-foundation[v5.1.2].


  • | 290 points

    Are you running a terminal in IDE?
    try to find in your IDE settings, is there any PHP related setting?
    make sure PHP version = PHP 7

    eg, php settings in phpstorm
    0_1593657339589_Clipboarder.2020.07.02-002.png


  • | 148 points

    @afifahassyahrah the error messages clearly stated you should use php7.2.5 or higher. You are now using php5.6.30. Update your php to the appropriate version. You can follow this tutorial: https://forum.laragon.org/post/663

    You also have to remove and readd the PATH environment variable so the system will use the correct php version. You can access it at Menu > Tools > PATH environment variable. https://forum.laragon.org/post/1559

    Note: if you still get the wrong php version even after removing and reading the path environment variable, try to close your terminal session and create a new one. If it still doesn't work, just log off your windows account and log on again.


Log in to reply
 

Looks like your connection to Laragon was lost, please wait while we try to reconnect.